/*!
 * Copyright 2022 (c) Neo-OOH - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Valentin Dufois <vdufois@neo-ooh.com>
 *
 * @neo/connect - Switcher.scss
 */
/*!
 * Copyright 2023 (c) Neo-OOH - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Valentin Dufois <vdufois@neo-ooh.com>
 *
 * @neo/connect - _cards.scss
 */
/*!
 * Copyright 2023 (c) Neo-OOH - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Valentin Dufois <vdufois@neo-ooh.com>
 *
 * @neo/connect - _colors.scss
 */
/*!
 * Copyright 2025 (c) Neo-OOH - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Valentin Dufois <valentin@webisoft.com>
 *
 * @neo/connect - _utils.scss
 */
/*!
 * Copyright 2022 (c) Neo-OOH - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Valentin Dufois <vdufois@neo-ooh.com>
 *
 * @neo/connect - _animations.scss
 */
.switcher{width:100%;box-shadow:0 0 0 1px var(--ultralight-grey) inset;cursor:default;border-radius:0;grid-auto-columns:1fr;grid-auto-flow:column;transition:all .15s ease-out;display:grid}.switcher .item{appearance:none;text-align:center;width:100%;font-weight:500;font-size:var(--text-body);background-color:#0000;border:none;border-radius:0;padding:.2rem 0 .15rem;transition:all .1s ease-out}.switcher .item:hover{background-color:rgba(var(--highlight-color-rgb), .15)}.switcher .item:active{background-color:rgba(var(--highlight-color-rgb), .35)}.switcher .item.selected{background-color:var(--dark-blue);color:#fff}.switcher:hover{box-shadow:0 0 0 1px var(--light-grey) inset}.flat-switcher{grid-auto-columns:1fr;grid-auto-flow:column;display:grid}.flat-switcher .flat-button{border-radius:0}.flat-switcher .flat-button:first-child{border-start-start-radius:var(--control-radius);border-end-start-radius:var(--control-radius)}.flat-switcher .flat-button:last-child{border-start-end-radius:var(--control-radius);border-end-end-radius:var(--control-radius)}.flat-switcher .flat-button.selected{--flat-btn-ink:var(--surface-selected);--flat-btn-front-color:var(--surface-on-selected);--flat-btn-front-hover-color:var(--surface-on-selected);--flat-btn-front-active-color:var(--surface-on-selected);--flat-btn-back-color:var(--surface-selected);--flat-btn-back-hover-color:rgb(from var(--surface-selected) r g b / .85)}.pill-switcher{background-color:var(--ultralight-grey);border-radius:100px;grid-auto-columns:1fr;grid-auto-flow:column;gap:2px;width:fit-content;padding:2px;display:grid}.pill-switcher__choice{appearance:none;color:var(--dark-grey);text-align:center;font-size:var(--text-helper);background:0 0;border:none;border-radius:100px;padding:2px 20px;font-weight:500;transition:all .1s ease-out;position:relative}.pill-switcher__choice>:not(.pill-switcher__pill){z-index:1;position:relative}.pill-switcher__choice:hover{color:var(--highlight-color);background-color:color-mix(in srgb, var(--ultralight-grey), #fff 50%)}.pill-switcher__choice.selected{color:var(--highlight-color)}.pill-switcher__choice.selected:hover{color:var(--highlight-color);background-color:#0000}.pill-switcher__pill{z-index:0;box-shadow:0 1px 3px 0 var(--light-grey);background:#fff;border-radius:100px;position:absolute;inset:0}
